Reference for Processing version 1.1+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, »please let us know. If you prefer a more technical reference, visit the »Processing Javadoc.

Class | Movie
Name | ### read()
Examples |
    import processing.video.*;
    Movie myMovie;

    void setup() {
      size(200, 200);
      background(0);
      myMovie = new Movie(this, "totoro.mov");
      myMovie.loop();
    }

    void draw() {
      image(myMovie, 0, 0);
    }

    // Called every time a new frame is available to read
    void movieEvent(Movie m) {
      m.read();
    }
Description | Reads the current frame of the movie.
Syntax |
    mov.read()
Parameters |
mov | any variable of type Movie
Usage | Web & Application

Updated on June 14, 2010 12:05:23pm EDT